# Values ## List tag values `client.resourceTagging.values.list(stringtagKey, ValueListParamsparams, RequestOptionsoptions?): CursorPaginationAfter` **get** `/accounts/{account_id}/tags/values/{tag_key}` Lists all distinct values for a given tag key, optionally filtered by resource type. ### Parameters - `tagKey: string` - `params: ValueListParams` - `account_id: string` Path param: Identifier. - `cursor?: string` Query param: Cursor for pagination. - `type?: "access_application" | "access_application_policy" | "access_group" | 24 more` Query param: Filter by resource type. - `"access_application"` - `"access_application_policy"` - `"access_group"` - `"account"` - `"ai_gateway"` - `"alerting_policy"` - `"alerting_webhook"` - `"api_gateway_operation"` - `"cloudflared_tunnel"` - `"custom_certificate"` - `"custom_hostname"` - `"d1_database"` - `"dns_record"` - `"durable_object_namespace"` - `"gateway_list"` - `"gateway_rule"` - `"image"` - `"kv_namespace"` - `"managed_client_certificate"` - `"queue"` - `"r2_bucket"` - `"resource_share"` - `"stream_live_input"` - `"stream_video"` - `"worker"` - `"worker_version"` - `"zone"` ### Returns - `ValueListResponse = string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const valueListResponse of client.resourceTagging.values.list('environment', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(valueListResponse); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ "production", "staging" ], "result_info": { "count": 20, "cursor": "eyJhY2NvdW50X2lkIjoxMjM0NTY3ODkwfQ" } } ``` ## Domain Types ### Value List Response - `ValueListResponse = string`